Shinyapp.io stopped working as I tried to update it after one week

Hi all,

My shinyapp.io was working fine but today, when I updated some of its files (csv) it no longer updates and I get the following warning:

Begin Task Log

Quarto not found. [2024-06-04T15:05:00.098773748+0000] Execute script: packages/build/V8.sh W: http://cran.rstudio.com/bin/linux/ubuntu/jammy-cran40/InRelease: Key is stored in legacy trusted.gpg keyring (/etc/apt/trusted.gpg), see the DEPRECATION section in apt-key(8) for details. Reading package lists... Building dependency tree... Reading state information... The following additional packages will be installed: libc-ares2 libnode72 libuv1-dev The following NEW packages will be installed: libc-ares2 libnode-dev libnode72 libuv1-dev 0 upgraded, 4 newly installed, 0 to remove and 13 not upgraded. Need to get 11.6 MB of archives. After this operation, 48.1 MB of additional disk space will be used. Get:1 Index of /ubuntu jammy-updates/main amd64 libuv1-dev amd64 1.43.0-1ubuntu0.1 [130 kB] Get:2 Index of /ubuntu jammy-updates/main amd64 libc-ares2 amd64 1.18.1-1ubuntu0.22.04.3 [45.1 kB] Get:3 Index of /ubuntu jammy-updates/universe amd64 libnode72 amd64 12.22.9~dfsg-1ubuntu3.5 [10.8 MB] Get:4 Index of /ubuntu jammy-updates/universe amd64 libnode-dev amd64 12.22.9~dfsg-1ubuntu3.5 [609 kB] debconf: delaying package configuration, since apt-utils is not installed Fetched 11.6 MB in 0s (27.2 MB/s) Selecting previously unselected package libuv1-dev:amd64. (Reading database ... (Reading database ... 5% (Reading database ... 10% (Reading database ... 15% (Reading database ... 20% (Reading database ... 25% (Reading database ... 30% (Reading database ... 35% (Reading database ... 40% (Reading database ... 45% (Reading database ... 50% (Reading database ... 55% (Reading database ... 60% (Reading database ... 65% (Reading database ... 70% (Reading database ... 75% (Reading database ... 80% (Reading database ... 85% (Reading database ... 90% (Reading database ... 95% (Reading database ... 100% (Reading database ... 293173 files and directories currently installed.) Preparing to unpack .../libuv1-dev_1.43.0-1ubuntu0.1_amd64.deb ... Unpacking libuv1-dev:amd64 (1.43.0-1ubuntu0.1) ... Selecting previously unselected package libc-ares2:amd64. Preparing to unpack .../libc-ares2_1.18.1-1ubuntu0.22.04.3_amd64.deb ... Unpacking libc-ares2:amd64 (1.18.1-1ubuntu0.22.04.3) ... Selecting previously unselected package libnode72:amd64. Preparing to unpack .../libnode72_12.22.9~dfsg-1ubuntu3.5_amd64.deb ... Unpacking libnode72:amd64 (12.22.9~dfsg-1ubuntu3.5) ... Selecting previously unselected package libnode-dev. Preparing to unpack .../libnode-dev_12.22.9~dfsg-1ubuntu3.5_amd64.deb ... Unpacking libnode-dev (12.22.9~dfsg-1ubuntu3.5) ... Setting up libuv1-dev:amd64 (1.43.0-1ubuntu0.1) ... Setting up libc-ares2:amd64 (1.18.1-1ubuntu0.22.04.3) ... Setting up libnode72:amd64 (12.22.9~dfsg-1ubuntu3.5) ... Setting up libnode-dev (12.22.9~dfsg-1ubuntu3.5) ... Processing triggers for libc-bin (2.35-0ubuntu3.7) ... [2024-06-04T15:05:04.978697423+0000] Execute script: packages/build/textshaping.sh + set -e + apt-get update -qq W: http://cran.rstudio.com/bin/linux/ubuntu/jammy-cran40/InRelease: Key is stored in legacy trusted.gpg keyring (/etc/apt/trusted.gpg), see the DEPRECATION section in apt-key(8) for details. + apt-get install -y libharfbuzz-dev libfribidi-dev Reading package lists... Building dependency tree... Reading state information... The following additional packages will be installed: gir1.2-harfbuzz-0.0 libgraphite2-dev libharfbuzz-gobject0 libharfbuzz-icu0 Suggested packages: libgraphite2-utils The following NEW packages will be installed: gir1.2-harfbuzz-0.0 libfribidi-dev libgraphite2-dev libharfbuzz-dev libharfbuzz-gobject0 libharfbuzz-icu0 0 upgraded, 6 newly installed, 0 to remove and 13 not upgraded. Need to get 696 kB of archives. After this operation, 3821 kB of additional disk space will be used. Get:1 Index of /ubuntu jammy-updates/main amd64 gir1.2-harfbuzz-0.0 amd64 2.7.4-1ubuntu3.1 [31.6 kB] Get:2 Index of /ubuntu jammy-updates/main amd64 libfribidi-dev amd64 1.0.8-2ubuntu3.1 [64.8 kB] Get:3 Index of /ubuntu jammy/main amd64 libgraphite2-dev amd64 1.3.14-1build2 [14.7 kB] Get:4 Index of /ubuntu jammy-updates/main amd64 libharfbuzz-icu0 amd64 2.7.4-1ubuntu3.1 [5886 B] Get:5 Index of /ubuntu jammy-updates/main amd64 libharfbuzz-gobject0 amd64 2.7.4-1ubuntu3.1 [26.0 kB] Get:6 Index of /ubuntu jammy-updates/main amd64 libharfbuzz-dev amd64 2.7.4-1ubuntu3.1 [553 kB] debconf: delaying package configuration, since apt-utils is not installed Fetched 696 kB in 0s (13.2 MB/s) Selecting previously unselected package gir1.2-harfbuzz-0.0:amd64. (Reading database ... (Reading database ... 5% (Reading database ... 10% (Reading database ... 15% (Reading database ... 20% (Reading database ... 25% (Reading database ... 30% (Reading database ... 35% (Reading database ... 40% (Reading database ... 45% (Reading database ... 50% (Reading database ... 55% (Reading database ... 60% (Reading database ... 65% (Reading database ... 70% (Reading database ... 75% (Reading database ... 80% (Reading database ... 85% (Reading database ... 90% (Reading database ... 95% (Reading database ... 100% (Reading database ... 294256 files and directories currently installed.) Preparing to unpack .../0-gir1.2-harfbuzz-0.0_2.7.4-1ubuntu3.1_amd64.deb ... Unpacking gir1.2-harfbuzz-0.0:amd64 (2.7.4-1ubuntu3.1) ... Selecting previously unselected package libfribidi-dev:amd64. Preparing to unpack .../1-libfribidi-dev_1.0.8-2ubuntu3.1_amd64.deb ... Unpacking libfribidi-dev:amd64 (1.0.8-2ubuntu3.1) ... Selecting previously unselected package libgraphite2-dev:amd64. Preparing to unpack .../2-libgraphite2-dev_1.3.14-1build2_amd64.deb ... Unpacking libgraphite2-dev:amd64 (1.3.14-1build2) ... Selecting previously unselected package libharfbuzz-icu0:amd64. Preparing to unpack .../3-libharfbuzz-icu0_2.7.4-1ubuntu3.1_amd64.deb ... Unpacking libharfbuzz-icu0:amd64 (2.7.4-1ubuntu3.1) ... Selecting previously unselected package libharfbuzz-gobject0:amd64. Preparing to unpack .../4-libharfbuzz-gobject0_2.7.4-1ubuntu3.1_amd64.deb ... Unpacking libharfbuzz-gobject0:amd64 (2.7.4-1ubuntu3.1) ... Selecting previously unselected package libharfbuzz-dev:amd64. Preparing to unpack .../5-libharfbuzz-dev_2.7.4-1ubuntu3.1_amd64.deb ... Unpacking libharfbuzz-dev:amd64 (2.7.4-1ubuntu3.1) ... Setting up libharfbuzz-icu0:amd64 (2.7.4-1ubuntu3.1) ... Setting up libfribidi-dev:amd64 (1.0.8-2ubuntu3.1) ... Setting up libharfbuzz-gobject0:amd64 (2.7.4-1ubuntu3.1) ... Setting up gir1.2-harfbuzz-0.0:amd64 (2.7.4-1ubuntu3.1) ... Setting up libgraphite2-dev:amd64 (1.3.14-1build2) ... Setting up libharfbuzz-dev:amd64 (2.7.4-1ubuntu3.1) ... Processing triggers for libc-bin (2.35-0ubuntu3.7) ... [2024-06-04T15:05:08.406245272+0000] Execute script: packages/build/ragg.sh + set -e + apt-get update -qq W: http://cran.rstudio.com/bin/linux/ubuntu/jammy-cran40/InRelease: Key is stored in legacy trusted.gpg keyring (/etc/apt/trusted.gpg), see the DEPRECATION section in apt-key(8) for details. + apt-get install -y fonts-noto-color-emoji libfreetype6-dev libpng-dev libtiff5-dev libjpeg-dev libharfbuzz-dev libfribidi-dev Reading package lists... Building dependency tree... Reading state information... libjpeg-dev is already the newest version (8c-2ubuntu10). libjpeg-dev set to manually installed. libpng-dev is already the newest version (1.6.37-3build5). libpng-dev set to manually installed. fonts-noto-color-emoji is already the newest version (2.042-0ubuntu0.22.04.1). fonts-noto-color-emoji set to manually installed. libfreetype6-dev is already the newest version (2.11.1+dfsg-1ubuntu0.2). libfreetype6-dev set to manually installed. libfribidi-dev is already the newest version (1.0.8-2ubuntu3.1). libharfbuzz-dev is already the newest version (2.7.4-1ubuntu3.1). The following NEW packages will be installed: libtiff5-dev 0 upgraded, 1 newly installed, 0 to remove and 13 not upgraded. Need to get 2098 B of archives. After this operation, 26.6 kB of additional disk space will be used. Get:1 Index of /ubuntu jammy-updates/main amd64 libtiff5-dev amd64 4.3.0-6ubuntu0.8 [2098 B] debconf: delaying package configuration, since apt-utils is not installed Fetched 2098 B in 0s (144 kB/s) Selecting previously unselected package libtiff5-dev:amd64. (Reading database ... (Reading database ... 5% (Reading database ... 10% (Reading database ... 15% (Reading database ... 20% (Reading database ... 25% (Reading database ... 30% (Reading database ... 35% (Reading database ... 40% (Reading database ... 45% (Reading database ... 50% (Reading database ... 55% (Reading database ... 60% (Reading database ... 65% (Reading database ... 70% (Reading database ... 75% (Reading database ... 80% (Reading database ... 85% (Reading database ... 90% (Reading database ... 95% (Reading database ... 100% (Reading database ... 294391 files and directories currently installed.) Preparing to unpack .../libtiff5-dev_4.3.0-6ubuntu0.8_amd64.deb ... Unpacking libtiff5-dev:amd64 (4.3.0-6ubuntu0.8) ... Setting up libtiff5-dev:amd64 (4.3.0-6ubuntu0.8) ... [2024-06-04T15:05:11.269775628+0000] Execute script: packages/build/gert.sh + set -e ++ lsb_release -cs + OS_CODENAME=jammy + '[' jammy == xenial ']' + apt-get update -qq W: http://cran.rstudio.com/bin/linux/ubuntu/jammy-cran40/InRelease: Key is stored in legacy trusted.gpg keyring (/etc/apt/trusted.gpg), see the DEPRECATION section in apt-key(8) for details. + apt-get install -y libgit2-dev Reading package lists... Building dependency tree... Reading state information... The following additional packages will be installed: libgit2-1.1 libhttp-parser-dev libhttp-parser2.9 libmbedcrypto7 libmbedtls-dev libmbedtls14 libmbedx509-1 libssh2-1-dev Suggested packages: libmbedtls-doc The following NEW packages will be installed: libgit2-1.1 libgit2-dev libhttp-parser-dev libhttp-parser2.9 libmbedcrypto7 libmbedtls-dev libmbedtls14 libmbedx509-1 libssh2-1-dev 0 upgraded, 9 newly installed, 0 to remove and 13 not upgraded. Need to get 2468 kB of archives. After this operation, 10.1 MB of additional disk space will be used. Get:1 Index of /ubuntu jammy/universe amd64 libhttp-parser2.9 amd64 2.9.4-4 [21.5 kB] Get:2 Index of /ubuntu jammy/universe amd64 libmbedcrypto7 amd64 2.28.0-1build1 [204 kB] Get:3 Index of /ubuntu jammy/universe amd64 libmbedx509-1 amd64 2.28.0-1build1 [47.2 kB] Get:4 Index of /ubuntu jammy/universe amd64 libmbedtls14 amd64 2.28.0-1build1 [82.7 kB] Get:5 Index of /ubuntu jammy-updates/universe amd64 libgit2-1.1 amd64 1.1.0+dfsg.1-4.1ubuntu0.1 [457 kB] Get:6 Index of /ubuntu jammy/universe amd64 libmbedtls-dev amd64 2.28.0-1build1 [629 kB] Get:7 Index of /ubuntu jammy/universe amd64 libssh2-1-dev amd64 1.10.0-3 [243 kB] Get:8 Index of /ubuntu jammy/universe amd64 libhttp-parser-dev amd64 2.9.4-4 [20.4 kB] Get:9 Index of /ubuntu jammy-updates/universe amd64 libgit2-dev amd64 1.1.0+dfsg.1-4.1ubuntu0.1 [764 kB] debconf: delaying package configuration, since apt-utils is not installed Fetched 2468 kB in 0s (39.1 MB/s) Selecting previously unselected package libhttp-parser2.9:amd64. (Reading database ... (Reading database ... 5% (Reading database ... 10% (Reading database ... 15% (Reading database ... 20% (Reading database ... 25% (Reading database ... 30% (Reading database ... 35% (Reading database ... 40% (Reading database ... 45% (Reading database ... 50% (Reading database ... 55% (Reading database ... 60% (Reading database ... 65% (Reading database ... 70% (Reading database ... 75% (Reading database ... 80% (Reading database ... 85% (Reading database ... 90% (Reading database ... 95% (Reading database ... 100% (Reading database ... 294394 files and directories currently installed.) Preparing to unpack .../0-libhttp-parser2.9_2.9.4-4_amd64.deb ... Unpacking libhttp-parser2.9:amd64 (2.9.4-4) ... Selecting previously unselected package libmbedcrypto7:amd64. Preparing to unpack .../1-libmbedcrypto7_2.28.0-1build1_amd64.deb ... Unpacking libmbedcrypto7:amd64 (2.28.0-1build1) ... Selecting previously unselected package libmbedx509-1:amd64. Preparing to unpack .../2-libmbedx509-1_2.28.0-1build1_amd64.deb ... Unpacking libmbedx509-1:amd64 (2.28.0-1build1) ... Selecting previously unselected package libmbedtls14:amd64. Preparing to unpack .../3-libmbedtls14_2.28.0-1build1_amd64.deb ... Unpacking libmbedtls14:amd64 (2.28.0-1build1) ... Selecting previously unselected package libgit2-1.1:amd64. Preparing to unpack .../4-libgit2-1.1_1.1.0+dfsg.1-4.1ubuntu0.1_amd64.deb ... Unpacking libgit2-1.1:amd64 (1.1.0+dfsg.1-4.1ubuntu0.1) ... Selecting previously unselected package libmbedtls-dev:amd64. Preparing to unpack .../5-libmbedtls-dev_2.28.0-1build1_amd64.deb ... Unpacking libmbedtls-dev:amd64 (2.28.0-1build1) ... Selecting previously unselected package libssh2-1-dev:amd64. Preparing to unpack .../6-libssh2-1-dev_1.10.0-3_amd64.deb ... Unpacking libssh2-1-dev:amd64 (1.10.0-3) ... Selecting previously unselected package libhttp-parser-dev. Preparing to unpack .../7-libhttp-parser-dev_2.9.4-4_amd64.deb ... Unpacking libhttp-parser-dev (2.9.4-4) ... Selecting previously unselected package libgit2-dev:amd64. Preparing to unpack .../8-libgit2-dev_1.1.0+dfsg.1-4.1ubuntu0.1_amd64.deb ... Unpacking libgit2-dev:amd64 (1.1.0+dfsg.1-4.1ubuntu0.1) ... Setting up libmbedcrypto7:amd64 (2.28.0-1build1) ... Setting up libssh2-1-dev:amd64 (1.10.0-3) ... Setting up libhttp-parser2.9:amd64 (2.9.4-4) ... Setting up libhttp-parser-dev (2.9.4-4) ... Setting up libmbedx509-1:amd64 (2.28.0-1build1) ... Setting up libmbedtls14:amd64 (2.28.0-1build1) ... Setting up libgit2-1.1:amd64 (1.1.0+dfsg.1-4.1ubuntu0.1) ... Setting up libmbedtls-dev:amd64 (2.28.0-1build1) ... Setting up libgit2-dev:amd64 (1.1.0+dfsg.1-4.1ubuntu0.1) ... Processing triggers for libc-bin (2.35-0ubuntu3.7) ... [2024-06-04T15:05:15.051902363+0000] Execute script: packages/build/archive.sh + set -e + apt-get update -qq W: http://cran.rstudio.com/bin/linux/ubuntu/jammy-cran40/InRelease: Key is stored in legacy trusted.gpg keyring (/etc/apt/trusted.gpg), see the DEPRECATION section in apt-key(8) for details. + apt-get install libarchive-dev Reading package lists... Building dependency tree... Reading state information... The following additional packages will be installed: libarchive13 Suggested packages: lrzip The following NEW packages will be installed: libarchive-dev The following packages will be upgraded: libarchive13 1 upgraded, 1 newly installed, 0 to remove and 12 not upgraded. Need to get 950 kB of archives. After this operation, 2195 kB of additional disk space will be used. Do you want to continue? [Y/n] Abort.## End Task Log ################################################################ Error: Unhandled Exception: child_task=1423253736 child_task_status=failed: Error building image: Build exited with non-zero status: 1 Execution halted

I can still run it normally on my mac and the updates to the tables and figures show, but for some reason when I press re-publish I am getting the error above. I installed the quarto package just in case, even though it had not been necessary before, but nothing changed.

Any help anyone can provide would be much appreciated,

Thank you

At the end of the log, the installer asked you whether you wanted to continue (Y or n). Did you enter "Y"? I think the abort message would be consistent with saying no (or maybe with not answering at all within an allowed time).

Hello,

Thank you for getting in touch and trying to help. I do not get the chance to type yes as the entire error flashes by in about 3 seconds.

Have also tried restarting along with the usual basic things.

Sorry, should have realized the build was happening automatically on the server side. You could try deleting the app from shinyapps.io and then publishing, but I suspect the same thing would happen. You might want to tag this as a bug or maybe retitle it to say something about a deployment bug. The server is apparently running Ubuntu and it looks as if it is trying (and failing) to install the libarchive-dev and/or libarchive13 packages. I don't think it's anything you can fix.

Thank you for trying to help, I appreciate it! I will attempt to reset it. Have a nice day.

Hi all,

Just to flag that the only solution I found was to delete the app, create an entire new project, replicate the code, and publish this new app under new name and new project into shinyapp.io, while deleting its previous iteration. Not very helpful as I did not understand what changes led the original app to stop working in the first place, given the code is absolutely the same. I reckon it had something to do with the project environment itself, but this is largely uninformed speculation.

Thank you